{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.mnp_ci.whale": {
      "states": {
        "default": {
          "transitions": [
            {
              "breathing": "q.is_breathing && q.is_alive && q.property('mnp_ci:whale_spout_state') == 'can_whale_spout'"
            }
          ]
        },
        "breathing": {
          "on_entry": ["@s mnp_ci:whale_spout_attempt"],
          "transitions": [
            {
              "default": "!q.is_breathing"
            }
          ]
        }
      }
    }
  }
}
